1. Buildings
Ecoland
  • EcoLand
    • Authentication
      • Sign-In
      • Sign-up
      • Refresh Token
    • User
      • Resources
      • User Information
      • User Information
    • Buildings
      • Building Details
        GET
      • All Buildings
        GET
      • Construct Building
        POST
      • List of Possible Construction
        GET
      • Possible Prudctions of a building
        GET
    • Production
      • Cancel Production
      • Start Production
    • Transportation
      • Shipment
    • Admin
      • user-management
        • Users
  • Schemas
    • EcoLand
      • Storage_Base
      • Production_Base
      • Building_Base
      • Product_Base
      • Construciton_Base
      • Shipment_Base
      • ProductionsInOut_List
      • Productions_Def
      • UserInfo
      • UserResources
    • Error_Responses
      • Insufficent_Money
  1. Buildings

Construct Building

Developing
POST
/buildings/construct

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Example
{
    "def_id": 2,
    "display_name": "Wasserwerk Bad Segeberg"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/buildings/construct' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "def_id": 2,
    "display_name": "Wasserwerk Bad Segeberg"
}'

Responses

🟢201Created
application/json
Body

Example
{
    "id": 0
}
🟠404Record not found
🟠400Bad Request
Modified at 2025-03-03 21:39:13
Previous
All Buildings
Next
List of Possible Construction
Built with